CVE-2005-4139
CVSS7.5
发布时间 :2005-12-09 10:03:00
修订时间 :2008-09-05 16:56:08
NMCO    

[原文]Multiple SQL injection vulnerabilities in ThWboard before 3 Beta 2.84 allow remote attackers to execute arbitrary SQL commands via the (1) year parameter in calendar.php, (2) user parameter array in v_profile.php, and (3) the userid parameter in misc.php.


[CNNVD]ThWboard多个输入验证漏洞(CNNVD-200512-177)

        ThWboard 3 Beta 2.84之前版本中存在多个SQL注入漏洞,远程攻击者可以通过(1) calendar.php中的year参数,(2) v_profile.php中的user参数数组,以及(3) misc.php中的userid参数执行任意SQL命令。

- CVSS (基础分值)

CVSS分值: 7.5 [严重(HIGH)]
机密性影响: PARTIAL [很可能造成信息泄露]
完整性影响: PARTIAL [可能会导致系统文件被修改]
可用性影响: PARTIAL [可能会导致性能下降或中断资源访问]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: [--]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2005-4139
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2005-4139
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200512-177
(官方数据源) CNNVD

- 其它链接及资源

http://www.securityfocus.com/bid/15763
(PATCH)  BID  15763
http://www.securityfocus.com/archive/1/archive/1/418837/100/0/threaded
(VENDOR_ADVISORY)  BUGTRAQ  20051207 [KAPDA::#15] - ThWboard multiple vulnerabilities
http://kapda.ir/advisory-149.html
(VENDOR_ADVISORY)  MISC  http://kapda.ir/advisory-149.html
http://xforce.iss.net/xforce/xfdb/23531
(UNKNOWN)  XF  thwboard-multiple-scripts-sql-injection(23531)
http://www.osvdb.org/21739
(UNKNOWN)  OSVDB  21739
http://www.osvdb.org/21738
(UNKNOWN)  OSVDB  21738
http://www.osvdb.org/21737
(UNKNOWN)  OSVDB  21737
http://securityreason.com/securityalert/238
(UNKNOWN)  SREASON  238

- 漏洞信息

ThWboard多个输入验证漏洞
高危 SQL注入
2005-12-09 00:00:00 2005-12-09 00:00:00
远程  
        ThWboard 3 Beta 2.84之前版本中存在多个SQL注入漏洞,远程攻击者可以通过(1) calendar.php中的year参数,(2) v_profile.php中的user参数数组,以及(3) misc.php中的userid参数执行任意SQL命令。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
        http://prdownloads.sourceforge.net/thwb/thwb-300-beta-2.84-php5.tar.gz

- 漏洞信息

21737
ThWboard calendar.php year Parameter SQL Injection
Remote / Network Access Information Disclosure, Input Manipulation
Loss of Confidentiality, Loss of Integrity Upgrade

- 漏洞描述

ThWboard contains a flaw that may allow an attacker to carry out an SQL injection attack. The issue is due to the 'calendar.php' script not properly sanitizing user-supplied input to the 'year' variable. This may allow an attacker to inject or manipulate SQL queries in the back-end database.

- 时间线

2005-12-07 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 3.0 beta 2.84-php5 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站